## ifupdown 0.6.7osso

=== debian/changelog ===
ifupdown (0.6.7osso) unstable; urgency=low

  * build-dep on nowebm removed
  * build-dep on po-debconf added 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sat,  8 Apr 2006 23:08:21 +0300

ifupdown (0.6.7) unstable; urgency=low

  * Don't use dirname/basename in ifupdown init script; they're in /usr/bin.
    (Closes: Bug#304188)

  * Check for free space on /dev/shm when working out where to link
    /e/n/run. Thanks to Jose Manuel Delgado Mendinueta. (Closes:
    Bug#303656)

 -- Anthony Towns <ajt@debian.org>  Mon,  2 May 2005 23:57:25 +1000

ifupdown (0.6.6) unstable; urgency=low

  * The "what does wine come in" release

  * Fix brown paper bag bug where %iface% maps to the logical interface
    name rather than the hardware one. Thanks to Paul Hampson for being
    the first to spot it once the BTS was working again. Also add a test
    case. (Closes: Bug#303148)

  * Fix brown paper bag bug where "test -e" doesn't actually identify a
    dangling /etc/network/run symlink on upgrade. (Closes: Bug#303225)

  * Fix brown paper bag bug where we only consider pointing
    /etc/network/run at /dev/shm if /dev/shm *isn't* in /proc/mounts. (No
    bug filed yet, though...)

 -- Anthony Towns <ajt@debian.org>  Tue,  5 Apr 2005 14:19:21 +1000

ifupdown (0.6.5) unstable; urgency=low

  * The Gernot Heiser release -- aged like a fine South Australian wine.

  * Switch to Debian-native versioning / source packaging for the time being.
    (Closes: Bug#84697)
  * Change Section: to base, to match overrides.

  * Thanks to Michael Weber, Javier Fernandez-Sanguino Pena, Marc
    Haber, and Thomas Hood for NMUs. (Closes: Bug#150773, Bug#151465,
    Bug#152893, Bug#208726, Bug#209006, Bug#242314, Bug#263913,
    Bug#266282, Bug#297762)

  * debian/rules: Don't re-build unnecessarily. Thanks to Michael Banck
    (Closes: Bug#296273)

  * Add post-up, pre-down as aliases for "up" and "down". (Closes: Bug#62633)

  * Deprecate (undocument) "--exclude" option.

  * Add support for "allow-*" lines for systems such as hotplug or ifplugd.
    Usage is "ifup --allow=hotplug <interfaces>"; only the allowed interfaces
    whill actually be tried. (Closes: Bug#300937)

  * Satiate the POSIX sh monkeys, makenwdep.sh now uses printf for \t's,
    not echo -e. (Closes: Bug#294970)

  * Switch to using "/etc/network/run/ifstate" instead of
    "/etc/network/ifstate". Simplify all the complicated hackery dealing
    with that. Use myreadlink function instead of /lib/init/readlink.
    (Closes: Bug#302519)

  * Make debian/rules test always succeed when cross-building. Thanks
    to NIIBE Yutaka. (Closes: Bug#283649)

  * Add VERBOSITY variable for scripts, invoke run-parts with --verbose.
    Thanks to Michael Weber. (Closes: Bug#88946)
  * Add LOGICAL variable for scripts. (Doesn't work for mapping scripts yet
    though)
  * Add PHASE variable for scripts, same as MODE but more detailed;
    pre-up, post-down, etc. (Closes: Bug#286155)

  * Document lack of support for end-of-line comments in interfaces(5).
    (Closes: Bug#79683)

  * Remove conflict with old, experimental-only version of dhcp-client.

 -- Anthony Towns <ajt@debian.org>  Mon,  4 Apr 2005 23:41:06 +1000

ifupdown (0.6.4-4.12) unstable; urgency=low

  * Non-maintainer upload
  * Begin description synopsis with lower case letter
  * postinst:
    + Create run dir at the target of /etc/network/run if it is absent
      (Closes: #297898)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  3 Mar 2005 19:05:05 +0100

ifupdown (0.6.4-4.11) unstable; urgency=low

  * Non-maintainer upload
  * postinst:
    + Do not make /etc/network/run a symlink to /dev/shm/network/
      if devfs is in use.  (Closes: #266479)
  * /etc/init.d/ifupdown:
    + Don't accept arguments to "start" method
    + Fix initscript output
  * ifup.8:
    + Correct typo (Closes: #287172)
  * interfaces.5:
    + Correct description of what happens when user commands fail
      (Closes: #286166)
    + Remove reference to VERBOSE which isn't implemented in this
      version  (Reported in #88946)
  * Add it.po thanks to Luca Monducci  (Closes: #284123)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 12 Sep 2004 14:46:29 +0200

ifupdown (0.6.4-4.10) unstable; urgency=low

  * Non-maintainer upload. Fix critical bugs.
  * fix ifstate cleaning in init script. (Closes: #264134).
  * fix /etc/network/run creation in postinst (Closes: #265165).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 17 Aug 2004 06:38:16 +0200

ifupdown (0.6.4-4.9) unstable; urgency=low

  * Non-maintainer upload: bug fixes and some improvements, unfortunately
    they will not make it to sarge...
   [Javier Fernandez-Sanguino]
    - Added a generic --exclude option (modified ifupdown.nw and ifup.8)
      This way other scripts (such as /e/i/networking in netbase)
      can avoid bringing down 'lo' on shutdown doing: 'ifdown -e lo -a'
      This will help close #254705, #256680 and #208700.
    - Make it conflict with the dch-client version from experimental 
      (Closes: #242537, #242527)
    - Added usage examples provided by Thomas Hood (Closes: #247772)
    - L10n:
    	+ Updated catalan debconf templates provided by Aleix Badia i Bosch 
        (Closes: #248717)
        + Included Lithuanian translation of debconf templates provided
        by Gintautas Miliauskas (Closes: #249233)
    - /etc/init.d/ifupdown: Exit with error if called with unknown arguments
    - ifupdown.nw: fix FTBFS with gcc-3.4 (Closes: #258965)
    - ifup.8: ammended manpage describing how ifdown really works 
      (Closes: #259609)
    - Remove XSI:isms in several scripts (Closes: #255574)
    - debian/po/POTFILES.in:  point to templates.master instead of templates
   [Thomas Hood]
    - debian/control:
       + Build-Depend on version of debhelper with dh_installinit --name
       + Put dhcp3-client before dhcp-client in disjunctive dependency
         (Closes: #250713)
     - Add /etc/default/ifupdown (currently not used, will be in the

