## ifupdown 0.6.7ubuntu1

=== debian/changelog ===
ifupdown (0.6.7ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, resolving merge conflicts.
  * Remove the initscripts dependency, since we now use our own readlink.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 May 2005 06:43:06 +0000

ifupdown (0.6.4-4.10ubuntu4) breezy; urgency=low

  * Fixed typo in interfaces (5) man page (closes: Ubuntu #9854)

 -- Charles Majola <charles@ubuntu.com>  Thu, 12 May 2005 10:12:36 +0200

ifupdown (0.6.4-4.10ubuntu3) hoary; urgency=low

  * Add a dependency on initscripts (>= 2.85-12) to make sure we get
    a working /lib/init/readlink for our scripts (Ubuntu bug #8605)

 -- Adam Conrad <adconrad@0c3.net>  Tue,  5 Apr 2005 10:29:07 +0000

ifupdown (0.6.4-4.10ubuntu2) hoary; urgency=low

  * Fancify new ifupdown-clean init script
  * Re-fancify ifupdown init script due to many conflicts

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 28 Oct 2004 21:00:28 -0700

ifupdown (0.6.4-4.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 21:41:56 +0100

ifupdown (0.6.4-4.8ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:55:12 -0400

ifupdown (0.6.4-4.8ubuntu1) warty; urgency=low

  * debian/ifupdown.init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:00:40 -0400
