## ifupdown 0.6.7ubuntu7

=== debian/changelog ===
ifupdown (0.6.7ubuntu7) dapper; urgency=low

  * Fix up the interfaces file removing duplicated "auto" lines, and
    don't write them in the first place.  Ubuntu #29654.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Jan 2006 12:45:19 +0000

ifupdown (0.6.7ubuntu6) dapper; urgency=low

  * Rewrite the way that ifup and ifdown read and write the state file.
    Instead of storing it in memory and holding a lock on it (preventing
    concurrent processes from actually being concurrent) use atomic read and
    write functions that only hold the lock for very short periods.

  * Write to the state file when we start bringing up or tearing down the
    interface, so we don't ever try to do the same operation at the same
    time.
  * Update the state file once the operation is complete to ensure we
    record the actual status of it.
  
  * Restore the dhcp wait, so "ifup eth0" will hang around until DHCP is
    either successful or times out.  Adjust the udev rule again so that
    udevplug doesn't hang around.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 26 Jan 2006 15:56:54 +0000

ifupdown (0.6.7ubuntu5) dapper; urgency=low

  * Don't wait for dhcp to complete ... there's a general ifup problem that
    it doesn't have any state to record "I'm bringing this interface up",
    so no way to avoid multiple dhcp invocations for the same interface which
    end up blocking on each other.  This is a short-term hack until I sit
    down and think about this properly (probably next week at the sprint).

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Jan 2006 18:04:53 +0000

ifupdown (0.6.7ubuntu4) dapper; urgency=low

  * Install new loopback init script at S:S08 which brings up the loopback
    (127.0.0.1) network device early enough for anything needing DHCP.  This
    also deals with creating /var/run/network if necessary.
  * Move /etc/network/run/ifstate to /var/run/network/ifstate
  * Drop the ifupdown and ifupdown-clean init scripts as everything they did
    is obsolete or already taken care of.
  
  * Ship a udev rule that brings network devices up or down if the device
    is marked "auto" in the configuration file.
  * Convert existing /etc/network/interfaces file with "mapping hotplug"
    lines to just use "auto" lines.
  
  * Adjusted "ifup -a" and "ifdown -a" to not report when interfaces are
    already up or down.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 23 Jan 2006 18:56:54 +0000

ifupdown (0.6.7ubuntu3) dapper; urgency=low

  * Silence init.d/ifupdown-clean

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  4 Jan 2006 09:46:09 -0800

ifupdown (0.6.7ubuntu2) dapper; urgency=low

  * Change the dhclient3 leases path to /var/lib/dhcp3 so the leases survive
    a reboot.  (Ubuntu: #18148)

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Nov 2005 16:11:30 +0000
