=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: important
 Maintainer: Anthony Towns <ajt@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 4.1.68), po-debconf
+Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces
