=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ifupdown
-Section: base
+Section: admin
 Priority: important
 Maintainer: Anthony Towns <ajt@debian.org>
-Standards-Version: 3.6.1.0
+Uploaders: Petter Reinholdtsen <pere@debian.org>
+Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces
