## ifupdown 0.6.8ubuntu6

=== debian/changelog ===
ifupdown (0.6.8ubuntu6) feisty; urgency=low

  * Change DRIVERS!= to use the start/end trick, since DRIVERS!= doesn't
    work.  LP: #102675.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Apr 2007 12:44:13 +0100

ifupdown (0.6.8ubuntu5) feisty; urgency=low

  * Change DRIVER to DRIVERS to suppress a warning, even though I think we
    really wanted the former.  LP: #102770.

 -- Scott James Remnant <scott@ubuntu.com>  Wed,  4 Apr 2007 10:27:14 +0100

ifupdown (0.6.8ubuntu4) feisty; urgency=low

  * Update udev rules so that devices without a driver don't get ifup
    or ifdown called for them, and are left to the S40networking script.
    LP: #78043.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  3 Apr 2007 16:11:28 +0100

ifupdown (0.6.8ubuntu3) feisty; urgency=low
  
  * ifupdown.nw: modprobe ipv6 before configuring it.
  (Closes LP: #7091)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 30 Mar 2007 08:54:50 +0200

ifupdown (0.6.8ubuntu2) feisty; urgency=low

  * ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up an
    interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
    'Zeroconf'). See https://wiki.ubuntu.com/ZeroConfNetworking for details.
    (This patch was prepared last November, but for some reason never made it
    to the archive)
  * debian/control: Set Ubuntu maintainer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Feb 2007 11:25:38 +0100

ifupdown (0.6.8ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - ship udev rules to call ifup
    - init script to bring up loopback seperately
    - ifstate file moved to /var/run/network/ifstate, no need to clean up
    - dhcp3 leases files moved to /var/lib/dhcp3

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 27 Nov 2006 13:16:58 +0000
