## ifupdown 0.6.8ubuntu8

=== debian/changelog ===
ifupdown (0.6.8ubuntu8) gutsy; urgency=low

  * ifupdown.nw: use 100 as default route metric unless an explicit metric
    parameter is set in /etc/network/interface; this applies for static and
    dhcp interfaces and passes the -e IF_METRIC=%metric% option to dhclient{3}
    in order to accomplish this. For details see the launchpad bug
    (LP: #139403).

 -- Alexander Sack <asac@ubuntu.com>  Thu, 20 Sep 2007 00:38:33 +0200

ifupdown (0.6.8ubuntu7) gutsy; urgency=low

  * Fix a wrong example location into interfaces(5) manpage (LP: #97509).

 -- William Lima <wlima.amadeus@gmail.com>  Fri, 22 Jun 2007 15:14:23 -0300
