=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Anthony Towns <ajt@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.68), nowebm
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces
