## ifupdown 0.6.8ubuntu12~nm1~hardy1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 DEFNFILES := inet.defn ipx.defn inet6.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
+	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
