=== debian/changelog ===
ifupdown (0.6.8ubuntu12~nm1~hardy1) hardy; urgency=low

  * resurrect _darcs directory

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 00:12:03 +0200

ifupdown (0.6.8ubuntu11) intrepid; urgency=low

  * If the /etc/NetworkManager/nm-system-settings.conf file is present
    but doesn't have the "ifupdown:managed" the previous upload instructed
    the iniparser to return -1, which evaluates to TRUE. We instead instruct
    it to return 0, as we shouldn't prevent ifupdown from managing the
    interfaces in that case, as NM won't either. (LP: #281984)

 -- James Westby <james.westby@canonical.com>  Sun, 12 Oct 2008 16:09:15 +0100

ifupdown (0.6.8ubuntu10) intrepid; urgency=low

  https://lists.ubuntu.com/archives/ubuntu-devel/2008-October/026656.html:

  * stop ifupdown to auto-up/down interfaces if network-manager's
    ifupdown plugin is in managed=true mode
    - add iniparser3.0b sources
      + add dictionary.c,dictionary.h,iniparser.c,iniparser.h
    - Makefile: add iniparser objects to build (aka OBJ)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 09 Oct 2008 16:46:47 +0200

ifupdown (0.6.8ubuntu9) intrepid; urgency=low

  * debian/ifupdown.rules: (the udev rule) ensure that the init script
    /etc/network/networking has been started to ensure that the udev
    script does not start too early in the boot process. This way we
    ensure that the root file system is already writable and ifupdown has
    a chance to actually work. LP: #44194
  * Add versioned dependency on a version of netbase that actually does
    indicate that it has been configured.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Jun 2008 23:32:56 +0200
