=== debian/rules ===
--- 
+++ 
@@ -123,6 +123,11 @@
 
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
 		debian/tmp/usr/share/ifupdown/
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
+		debian/tmp/usr/share/ifupdown/
+
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 debian/ifupdown.rules \
+		debian/tmp/etc/udev/rules.d/85-ifupdown.rules
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -142,8 +147,7 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
-	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
+	dh_installinit --name=loopback --no-start -- start 08 S .
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
