## ifupdown 0.6.8ubuntu12

=== debian/changelog ===
ifupdown (0.6.8ubuntu12) intrepid; urgency=low

  * resurrect _darcs directory

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 00:12:03 +0200
