=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: ifupdown
 Architecture: any
-Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu1)
+Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu2)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
 Description: high level tools to configure network interfaces
