## ifupdown 0.6.8ubuntu19

=== debian/changelog ===
ifupdown (0.6.8ubuntu19) jaunty; urgency=low

  * debian/ifupdown.udev: In fact, there's no reason not to call the ifup
    unconditionally either; if it doesn't have a driver, but is listed in
    /etc/network/interfaces with "auto" we can still have a crack at
    bringing it up.  We may as well make the /var/run/network directory
    in this rule too.
  * debian/loopback.init: Then this init script can go away.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:13:53 +0000

ifupdown (0.6.8ubuntu18) jaunty; urgency=low

  * debian/ifupdown.udev: Unconditionally call ifdown when the network
    interface is removed, instead of checking DRIVERS which is likely gone
    anyway.  LP: #130437.
  * Clean up the mess of the rules file while I was in there ;)

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:11:42 +0000

ifupdown (0.6.8ubuntu17) jaunty; urgency=low

  * Restore _darcs directory caused by using intrepid's dpkg; makes the
    Debian->Ubuntu diff somewhat more readable. 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 14:01:18 +0000

ifupdown (0.6.8ubuntu16) jaunty; urgency=low

  * modprobe failures for ipv6 are benign as the module is likely built-in.
    (LP: #107432)
  * modprobe -Q is now deprecated and going away, move to using -q.
  * modprobe for ipv6 should honour the blacklists.
  * update all generated files to match their source versions (*.defn,
    main.c).

 -- Andy Whitcroft <apw@canonical.com>  Thu, 05 Mar 2009 13:47:48 +0000

ifupdown (0.6.8ubuntu15) jaunty; urgency=low

  * Add Breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 11:55:30 +0000

ifupdown (0.6.8ubuntu14) jaunty; urgency=low

  * debian/ifupdown.rules: Rename to debian/ifupdown.udev so debhelper can
    pick it up.
  * debian/rules: Use dh_installudev to install the udev rule.
  * debian/dirs: Drop /etc/udev/rules.d
  * debian/conffiles: Drop old rules location.
  * debian/control: Increase dependency on debhelper.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 07 Jan 2009 10:22:03 +0000

ifupdown (0.6.8ubuntu13) jaunty; urgency=low

  * debian/ifupdown.rules: remove udev rule that ensures that the networking
    init script has been started. We want to configure network interfaces as
    soon as possible ie at discovery time. ifupdown scripts that don't work
    early in the boot process should fail gracefully and leave the interface
    unconfigured until networking is started.

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 26 Nov 2008 18:34:03 -0500
