=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.1.68), nowebm
+Build-Depends: debhelper (>= 7.0.17ubuntu2), nowebm
 
 Package: ifupdown
 Architecture: any
 Depends: net-tools, ${shlibs:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu2)
 Suggests: iproute, dhcp3-client | dhcp-client, ppp
 Replaces: netbase (<< 4.00)
+Breaks: udev (<< 136-1)
 Description: high level tools to configure network interfaces
  This package provides the tools ifup and ifdown which may be used to
  configure (or, respectively, deconfigure) network interfaces based on
