=== debian/rules ===
--- 
+++ 
@@ -126,8 +126,6 @@
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
 		debian/tmp/usr/share/ifupdown/
 
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 debian/ifupdown.rules \
-		debian/tmp/etc/udev/rules.d/85-ifupdown.rules
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -147,7 +145,7 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=loopback --no-start -- start 08 S .
+	dh_installudev --priority=85
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
