## ifupdown 0.6.8ubuntu21

=== debian/changelog ===
ifupdown (0.6.8ubuntu21) karmic; urgency=low

  * --no-scripts is not --noscripts.  LP: #430878.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Sep 2009 15:30:28 -0700

ifupdown (0.6.8ubuntu20) karmic; urgency=low

  FFE LP: #427356.

  * Replace the udev rule with a per-interface Upstart job.
  * Add a "networking" job that partially replaces the networking init
    script from netbase.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit
    - Add missing ${misc:Depends}

  * Add if-up and if-down scripts to emit Upstart events when interfaces
    come up and go down.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:30:29 +0100
