=== debian/rules ===
--- 
+++ 
@@ -145,7 +145,10 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installudev --priority=85
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	dh_installifupdown --name=upstart
+#	dh_installudev --priority=85
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
