## ifupdown 0.6.8ubuntu21.3

=== debian/changelog ===
ifupdown (0.6.8ubuntu21.3) karmic-proposed; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 14:06:36 +0100

ifupdown (0.6.8ubuntu21.2) karmic-proposed; urgency=low

  * Backport fix from lucid for the file conflict with netbase that results
    from rebuilding with the current debhelper.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 18:17:51 +0000

ifupdown (0.6.8ubuntu21.1) karmic-proposed; urgency=low

  * debian/postinst: if the loopback interface is missing from the config in
    /etc/network/interfaces, add it on upgrade; there is no valid use case
    for a system without localhost, and not bringing this up will cause
    upstart runlevel handling to fail.  LP: #497299.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2010 21:36:34 -0800
