=== debian/rules ===
--- 
+++ 
@@ -147,6 +147,8 @@
 #	dh_installpam
 	dh_installinit --name=network-interface --upstart-only --noscripts
 	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/tmp/etc/init.d/networking
 	dh_installifupdown --name=upstart
 #	dh_installudev --priority=85
 	dh_installcron
